Get conversation
curl --request GET \
--url https://api.weav.com/v1/conversations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.weav.com/v1/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.weav.com/v1/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "email",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"status": "open",
"priority": "low",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_type": "user",
"closed_at": "2023-11-07T05:31:56Z",
"first_response_at": "2023-11-07T05:31:56Z",
"last_message_at": "2023-11-07T05:31:56Z",
"is_spam": true,
"spam_score": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Error message",
"code": "UNAUTHENTICATED",
"errors": {}
}{
"error": "Error message",
"code": "UNAUTHENTICATED",
"errors": {}
}Conversations
Get conversation
GET
/
conversations
/
{id}
Get conversation
Authorizations
Workspace API token.
Include abilities external-api:read and/or external-api:write.
Path Parameters
Response
Conversation
Available options:
email, chat Available options:
open, closed Available options:
low, normal, high, urgent User or agent UUID to assign. Must belong to the same workspace. For chat, agent assignment is limited to the conversation's original chat agent. For email, agent assignment is limited to the workspace active email agent.
Available options:
user, agent 
